import { RdbmsSessionStorageMigrator } from '@shopify/shopify-app-session-storage';

class SqliteSessionStorageMigrator extends RdbmsSessionStorageMigrator {
    constructor(dbConnection, opts = {}, migrations) {
        super(dbConnection, opts, migrations);
    }
    async initMigrationPersistence() {
        const discardCreateTable = await this.connection.hasTable(this.options.migrationDBIdentifier);
        if (!discardCreateTable) {
            const migration = `
        CREATE TABLE ${this.options.migrationDBIdentifier} (
          ${this.getOptions().migrationNameColumnName} varchar(255) NOT NULL PRIMARY KEY
        );`;
            await this.connection.query(migration, []);
        }
    }
}

export { SqliteSessionStorageMigrator };
//# sourceMappingURL=sqlite-migrator.mjs.map
