import { Session } from '@shopify/shopify-api';
import { SessionStorage, RdbmsSessionStorageOptions } from '@shopify/shopify-app-session-storage';
import sqlite3 from 'sqlite3';
export interface SQLiteSessionStorageOptions extends RdbmsSessionStorageOptions {
}
export declare class SQLiteSessionStorage implements SessionStorage {
    readonly ready: Promise<void>;
    private options;
    private db;
    private internalInit;
    private migrator;
    constructor(database: string | sqlite3.Database, opts?: Partial<SQLiteSessionStorageOptions>);
    storeSession(session: Session): Promise<boolean>;
    loadSession(id: string): Promise<Session | undefined>;
    deleteSession(id: string): Promise<boolean>;
    deleteSessions(ids: string[]): Promise<boolean>;
    findSessionsByShop(shop: string): Promise<Session[]>;
    private init;
    private databaseRowToSession;
}
//# sourceMappingURL=sqlite.d.ts.map